void nightgraf()
{
  
 mon1=t.mon;
 years1=t.year;
 days1=t.date;
 
    myGLCD.setColor(0,38,92);
  myGLCD.fillRoundRect(0, 0, 635, 475);//рисуем синий пр-к
      myGLCD.setColor(255, 255, 255);//цвет обводки
  myGLCD.drawRoundRect(0, 0, 635, 475);//прямоугольник с  обводкой
  
  pikgrafik();
  colorgraf=0;
  picgraftoday();
  myGLCD.setFont( SevenSegNumFont);//myGLCD.setFont(BigFont);Ubuntubold
  myGLCD.setBackColor( VGA_TRANSPARENT);
  
   myGLCD.setColor(255,242, 0);
  myGLCD.printNumI(pressure,430,205);// myGLCD.print(":",cx+32+32, cy);
    myGLCD.setFont( Ubuntubold); 
    myGLCD.print("MM",430+103, 205+24);
    
    
    //*********TEMPUL**************************************    
    //  myGLCD.setColor(255,142,21);
      myGLCD.setColor(VGA_WHITE);
 myGLCD.setBackColor( VGA_TRANSPARENT);
 if (zn<2)
 {myGLCD.print("-",420, 65+8);
 }
 else
 {myGLCD.print("+",420, 65+8);
 }
 
 myGLCD.print(",",420+88, 65+24);
 myGLCD.print("C",420+88+20+32+10, 68);
 
  myGLCD.setFont( SevenSegNumFont);
  if (tu<10)
 { myGLCD.printNumI(tu,420+24+32,65);// myGLCD.print(":",cx+32+32, cy);
 }
 else
 {myGLCD.printNumI(tu,420+24,65);
 }
 myGLCD.printNumI(tud,420+88+20,65);    
//*********HUG**************************************     
  myGLCD.setColor(129,239,255);
  
 myGLCD.setBackColor( VGA_TRANSPARENT);    
  myGLCD.setFont( Ubuntubold);
 myGLCD.print(",",420+88, 300+24); 
 myGLCD.print("%",420+88+20+32+10, 300+24); 
 myGLCD.setFont( SevenSegNumFont);
 myGLCD.printNumI(hu,420+24,300);
 myGLCD.printNumI(hud,420+88+20,300);
//*************tdom*******************************    
   myGLCD.setColor(5,252,46);
 
  myGLCD.setFont( Ubuntubold);
 myGLCD.print("+",420, 395+8); 
myGLCD.print(",",420+88, 395+27);
 myGLCD.print("C",420+88+20+32+10, 395); 
  myGLCD.setFont( SevenSegNumFont);
 myGLCD.printNumI(tdc,420+24,395);
 //int tem = temperatur;
 myGLCD.printNumI(tdd,420+88+20,395);
 myGLCD.setBackColor( VGA_TRANSPARENT); 
 //*********************min max************************************************
 // myGLCD.setBackColor(8,101,192); 
  myGLCD.setColor(255, 55, 55);
  myGLCD.setFont(BigFont);
  int px=430;
  int py=80+50;
   byte hh;
  byte mm;
  byte d;
  byte m;
  word y;
  //*************max****************************************
  d=time1[24]/1000;
  m=(time1[24]%1000)/10;
  y=((time1[24]%1000)%10)*10;
  hh=time1[25]/1000;
  mm=(time1[25]%1000)/10;
   y=y+((time1[25]%1000)%10);
      myGLCD.setBackColor(255,255,255); 
  myGLCD.print("Tmax=+" ,px, py);
   myGLCD.printNumI(temul[24]/10, px+16*6, py); 
    myGLCD.print("," ,px+16*8, py);
     myGLCD.printNumI(temul[24]%10, px+16*9, py);
     myGLCD.print("C " ,px+16*10, py);
     
      myGLCD.setBackColor( VGA_TRANSPARENT); 
      myGLCD.print(":" ,px-4+16*2, py+16);
     if(hh<10)
     { myGLCD.print("0" ,px, py+16);
       myGLCD.printNumI(hh, px+16, py+16);
     }
    else 
     {myGLCD.printNumI(hh, px, py+16);
     }
  //myGLCD.print(":" ,px+16*2, py+16);
  
   if(mm<10)
     { myGLCD.print("0" ,px+16*3-8, py+16);
       myGLCD.printNumI(mm, px+16*4-8, py+16);
     }
    else 
     {myGLCD.printNumI(mm, px+16*3-8, py+16);
     }
 // myGLCD.print(" " ,px+16*5, py+16);
  myGLCD.print("." ,px+16*7-4, py+16);
  if(d<10)
     { myGLCD.print("0" ,px+16*5, py+16);
       myGLCD.printNumI(d, px+16*6, py+16);
     }
    else 
     {myGLCD.printNumI(d, px+16*5, py+16);
     }
  
   myGLCD.print("." ,px+16*10-10, py+16);
  if(m<10)
     { myGLCD.print("0" ,px+16*8-6, py+16);
       myGLCD.printNumI(m, px+16*9-6, py+16);
     }
    else 
     {myGLCD.printNumI(m, px+16*8-6, py+16);
     }
 // myGLCD.print("." ,px+16*11-12, py+16);
  
  myGLCD.printNumI(y, px+16*11-14, py+16);
 
//*************min ***********************************************
  myGLCD.setColor(55, 55, 255);
  myGLCD.setBackColor(255,255,255); 
 d=time1[26]/1000;
  m=(time1[26]%1000)/10;
  y=((time1[26]%1000)%10)*10;
  hh=time1[27]/1000;
  mm=(time1[27]%1000)/10;
   y=y+((time1[27]%1000)%10);
  int Tm; 
  py=py+35;
    if (temul[25]>1000)
       {   Tm=temul[25]-1000;
       
        if(Tm<100)
        {myGLCD.print("Tmin= -" ,px, py);
        }
        else
        { myGLCD.print("Tmin=-" ,px, py);
        }
       }
    else
   {
    Tm=temul[25];
     if(Tm<100)
        {myGLCD.print("Tmin= +" ,px, py);
        }
        else
        { myGLCD.print("Tmin=+" ,px, py);
        }
   }
  
 if(Tm<100) 
 { // myGLCD.print(" " ,px+16*6, py);
   myGLCD.printNumI(Tm/10, px+16*7, py); 
    myGLCD.print("," ,px+16*8, py);
     myGLCD.printNumI(Tm%10, px+16*9, py);
     myGLCD.print("C " ,px+16*10, py);
 }  
  else
  { myGLCD.printNumI(Tm/10, px+16*6, py); 
    myGLCD.print("," ,px+16*8, py);
     myGLCD.printNumI(Tm%10, px+16*9, py);
     myGLCD.print("C " ,px+16*10, py);
  }
     
     
      myGLCD.setBackColor( VGA_TRANSPARENT); 
     myGLCD.print(":" ,px-4+16*2, py+16);
     if(hh<10)
     { myGLCD.print("0" ,px, py+16);
       myGLCD.printNumI(hh, px+16, py+16);
     }
    else 
     {myGLCD.printNumI(hh, px, py+16);
     }
 // myGLCD.print(":" ,px+16*2, py+16);
  
   if(mm<10)
     { myGLCD.print("0" ,px+16*3-8, py+16);
       myGLCD.printNumI(mm, px+16*4-8, py+16);
     }
    else 
     {myGLCD.printNumI(mm, px+16*3-8, py+16);
     }
//  myGLCD.print(" " ,px+16*5, py+16);
   myGLCD.print("." ,px+16*7-4, py+16);
  if(d<10)
     { myGLCD.print("0" ,px+16*5, py+16);
       myGLCD.printNumI(d, px+16*6, py+16);
     }
    else 
     {myGLCD.printNumI(d, px+16*5, py+16);
     }
     
   myGLCD.print("." ,px+16*10-10, py+16);
  
  if(m<10)
     { myGLCD.print("0" ,px+16*8-6, py+16);
       myGLCD.printNumI(m, px+16*9-6, py+16);
     }
    else 
     {myGLCD.printNumI(m, px+16*8-6, py+16);
     }
  
  myGLCD.printNumI(y, px+16*11-14, py+16);
 
 
 
    myGLCD.setColor(255, 255, 255);
  myGLCD.setFont( Ubuntubold);
  
 
 
 
 
 
//delay(8000);
  
}
